## ocamlbuild 0.10.1

=== debian/changelog ===
ocamlbuild (0.10.1-1) experimental; urgency=medium

  * Add an explicit versioned dependency on ocaml-nox to work around
    bug involving Debian build dependency parsing. (Closes: #843868)
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 04 Mar 2017 15:34:54 +0100

ocamlbuild (0.9.3-3) experimental; urgency=medium

  * Force a rebuild against OCaml 4.03.0 on all architectures.
    (Closes: #842713)

 -- Ximin Luo <infinity0@debian.org>  Wed, 02 Nov 2016 13:28:14 +0100

ocamlbuild (0.9.3-2) experimental; urgency=medium

  * Rebuild against OCaml 4.03.0.
  * Use dh_ocaml to add the correct OCaml library dependencies.

 -- Ximin Luo <infinity0@debian.org>  Mon, 31 Oct 2016 08:00:20 +0100

ocamlbuild (0.9.3-1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Thu, 20 Oct 2016 20:38:36 +0200

ocamlbuild (0.9.2-1) experimental; urgency=medium

  * Initial release (Closes: #839099)

 -- Ximin Luo <infinity0@debian.org>  Thu, 20 Oct 2016 18:51:10 +0200
