=== debian/control ===
Source: ocamlbuild
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ximin Luo <infinity0@debian.org>
Build-Depends: debhelper (>= 9), dh-ocaml,
 ocaml-nox (>= 4.04.0)
Standards-Version: 3.9.8
Homepage: https://github.com/ocaml/ocamlbuild/
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocamlbuild.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocamlbuild.git

Package: ocamlbuild
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${F:OCamlRun}, ${ocaml:Depends}
Provides: ${ocaml:Provides}
Replaces: libfindlib-ocaml (<< 1.6.3-1), ocaml-nox (<< 4.03.0-1)
Breaks: libfindlib-ocaml (<< 1.6.3-1), ocaml-nox (<< 4.03.0-1)
Description: Build tool for building OCaml library and programs
 OCamlbuild is a generic build tool, that has built-in rules for building OCaml
 library and programs.
 .
 It was distributed as part of the OCaml distribution for OCaml versions
 between 3.10.0 and 4.02.3. Starting from OCaml 4.03, it is now released
 separately.
 .
 Its job is to determine the sequence of calls to the compilerâ€‰â€”â€‰with the
 right set of command-line flagsâ€‰â€”â€‰needed to build your OCaml-centric
 software project.
 .
 It was designed as a generic build system (it is in fact not OCaml-specific),
 but also to be expressive enough to cover the specifics of the OCaml language
 that make writing good Makefiles difficult, such as the dreaded units Foo and
 Bar make inconsistent assumptions about Baz error.
