## ocamlbuild 0.11.0

=== debian/changelog ===
ocamlbuild (0.11.0-3build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 15:13:28 +0200

ocamlbuild (0.11.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Update condition-nativeonly-tests.patch to be cleaner.

 -- Ximin Luo <infinity0@debian.org>  Sat, 16 Sep 2017 13:51:37 +0200

ocamlbuild (0.11.0-2) experimental; urgency=medium

  * Only run native tests if ocamlopt is available, fixes FTBFS on arches
    without ocamlopt.
  * Suppress "bss-plt forced" warnings from ld, fixes FTBFS on powerpc.

 -- Ximin Luo <infinity0@debian.org>  Sun, 30 Jul 2017 14:13:35 +0200

ocamlbuild (0.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Sat, 29 Jul 2017 16:56:50 +0200
