=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ximin Luo <infinity0@debian.org>
 Build-Depends: debhelper (>= 9), dh-ocaml,
- ocaml-nox (>= 4.04.0)
-Standards-Version: 3.9.8
+ ocaml-nox (>= 4.04.0),
+ ocaml-findlib (>= 1.7.3),
+ libfindlib-ocaml-dev (>= 1.7.3),
+Standards-Version: 4.0.0
 Homepage: https://github.com/ocaml/ocamlbuild/
 Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocamlbuild.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocamlbuild.git
