## ocamlbuild 0.14.0

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 endif
 
 CP        ?= cp
-COMPFLAGS ?= -w L -w R -w Z -I src -I +unix -safe-string -bin-annot
+COMPFLAGS ?= -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence
 LINKFLAGS ?= -I +unix -I src
 
 PACK_CMO= $(addprefix src/,\
@@ -105,6 +105,11 @@
 INSTALL_BINDIR=$(DESTDIR)$(BINDIR)
 INSTALL_MANDIR=$(DESTDIR)$(MANDIR)
 
+INSTALL_SIGNATURES=\
+  src/signatures.mli \
+  src/signatures.cmi \
+  src/signatures.cmti
+
 ifeq ($(OCAML_NATIVE), true)
 all: byte native man
 else
@@ -158,7 +163,7 @@
 	mkdir -p tmp
 	$(OCAMLOPT) -pack $^ -o tmp/ocamlbuild_pack.cmx
 	mv tmp/ocamlbuild_pack.cmx src/ocamlbuild_pack.cmx
-	mv tmp/ocamlbuild_pack.o src/ocamlbuild_pack.o
+	mv tmp/ocamlbuild_pack$(EXT_OBJ) src/ocamlbuild_pack$(EXT_OBJ)
 
 # The lexers
 
@@ -235,7 +240,7 @@
 
 # The library is put in LIBDIR/ocamlbuild. We copy
 # - the META file (for ocamlfind)
-# - src/signatures.mli (user documentation)
+# - src/signatures.{mli,cmi,cmti} (user documentation)
 # - the files in INSTALL_LIB and INSTALL_LIB_OPT (if available)
 
 # We support three installation methods:
@@ -275,12 +280,14 @@
 
 install-lib-basics:
 	mkdir -p $(INSTALL_LIBDIR)/ocamlbuild
-	$(CP) META src/signatures.mli $(INSTALL_LIBDIR)/ocamlbuild
+	$(CP) META $(INSTALL_SIGNATURES) $(INSTALL_LIBDIR)/ocamlbuild
 
 install-lib-basics-opam:
-	echo '  "opam"' >> ocamlbuild.install
+	echo '  "ocamlbuild.opam" {"opam"}' >> ocamlbuild.install
 	echo '  "META"' >> ocamlbuild.install
-	echo '  "src/signatures.mli" {"signatures.mli"}' >> ocamlbuild.install
+	for lib in $(INSTALL_SIGNATURES); do \
+	  echo "  \"$$lib\" {\"$$(basename $$lib)\"}" >> ocamlbuild.install; \
+	done
 
 install-lib-byte:
 	mkdir -p $(INSTALL_LIBDIR)/ocamlbuild
@@ -309,10 +316,10 @@
 install-lib-findlib:
 ifeq ($(OCAML_NATIVE), true)
 	ocamlfind install ocamlbuild \
-	  META src/signatures.mli $(INSTALL_LIB) $(INSTALL_LIB_OPT)
+	  META $(INSTALL_SIGNATURES) $(INSTALL_LIB) $(INSTALL_LIB_OPT)
 else
 	ocamlfind install ocamlbuild \
-	  META src/signatures.mli $(INSTALL_LIB)
+	  META $(INSTALL_SIGNATURES) $(INSTALL_LIB)
 endif
 
 install-lib-opam:
@@ -336,7 +343,7 @@
 	echo >> ocamlbuild.install
 
 install-doc-opam:
-	echo 'docdir: [' >> ocamlbuild.install
+	echo 'doc: [' >> ocamlbuild.install
 	echo '  "LICENSE"' >> ocamlbuild.install
 	echo '  "Changes"' >> ocamlbuild.install
 	echo '  "Readme.md"' >> ocamlbuild.install
@@ -350,7 +357,10 @@
 endif
 
 uninstall-lib-basics:
-	rm $(LIBDIR)/ocamlbuild/META $(LIBDIR)/ocamlbuild/signatures.mli
+	rm $(LIBDIR)/ocamlbuild/META
+	for lib in $(INSTALL_SIGNATURES); do \
+	  rm $(LIBDIR)/ocamlbuild/`basename $$lib`;\
+	done
 
 uninstall-lib-byte:
 	for lib in $(INSTALL_LIB); do\
