=== debian/changelog ===
ocamlbuild (0.14.0-2) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk to avoid failure in dh_dwz
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Aug 2020 17:58:42 +0200

ocamlbuild (0.14.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

  [ Ralf Treinen ]
  * Package description: remove strange characters, minor improvements of
    wording (closes: #876000)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2019 05:28:26 +0200
