=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
+include /usr/share/dpkg/architecture.mk
+include /usr/share/ocaml/ocamlvars.mk
 
 %:
 	dh $@ --with ocaml
@@ -19,7 +21,19 @@
 OCAMLBUILD_CFG = \
  OCAMLBUILD_PREFIX=/usr \
  OCAMLBUILD_BINDIR=/usr/bin \
- OCAMLBUILD_LIBDIR=/usr/lib/ocaml
+ OCAMLBUILD_LIBDIR=/usr/lib/ocaml \
+ OCAMLBUILD_MANDIR=/usr/share/man
+
+# these variables from your shell can interfere with tests. it should not be
+# necessary for buildds, but do it here for convenience.
+unexport OCAMLPARAM
+unexport OCAML_TOPLEVEL_PATH
+
+ifeq ($(DEB_HOST_ARCH),powerpc)
+# Suppress "bss-plt forced" warnings from ld
+# see https://github.com/ocaml/ocamlbuild/issues/254
+export PATH := $(CURDIR)/debian/bin:$(PATH)
+endif
 
 override_dh_auto_configure:
 	$(MAKE) $(OCAMLBUILD_CFG) OCAML_NATIVE=$(OCAML_NATIVE) configure
