## ocamlbuild 0.14.1

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 endif
 
 CP        ?= cp
-COMPFLAGS ?= -w L -w R -w Z -I src -I +unix -safe-string -bin-annot -strict-sequence
+COMPFLAGS ?= -w +L -w +R -w +Z -I src -I +unix -safe-string -bin-annot -strict-sequence
 LINKFLAGS ?= -I +unix -I src
 
 PACK_CMO= $(addprefix src/,\
