=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-ocaml,
- ocaml-nox (>= 4.04.0),
+ ocaml,
  ocaml-findlib (>= 1.7.3),
  libfindlib-ocaml-dev (>= 1.7.3),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml/ocamlbuild/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlbuild.git
