## ocamlbuild 0.14.2

=== debian/changelog ===
ocamlbuild (0.14.2-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Mon, 28 Aug 2023 07:56:49 +0200

ocamlbuild (0.14.2-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Compute an ABI hash for ocamlbuild


  [ Julien Puydt ]
  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Stéphane Glondu <glondu@debian.org>  Mon, 28 Aug 2023 06:24:41 +0200
