## ocamlbuild 0.14.3

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 endif
 
 CP        ?= cp
-COMPFLAGS ?= -w +L -w +R -w +Z -I src -I +unix -safe-string -bin-annot -strict-sequence
+COMPFLAGS ?= -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence
 LINKFLAGS ?= -I +unix -I src
 
 PACK_CMO= $(addprefix src/,\
@@ -79,7 +79,7 @@
   main.cmo \
   )
 
-EXTRA_CMO=$(addprefix src/,\
+EXTRA_CMO=$(addprefix plugin-lib/,\
   ocamlbuild_plugin.cmo \
   ocamlbuild_executor.cmo \
   ocamlbuild_unix_plugin.cmo \
@@ -90,14 +90,14 @@
 EXTRA_CMI=$(EXTRA_CMO:.cmo=.cmi)
 
 INSTALL_LIB=\
-  src/ocamlbuildlib.cma \
-  src/ocamlbuild.cmo \
+  plugin-lib/ocamlbuildlib.cma \
+  bin/ocamlbuild.cmo \
   src/ocamlbuild_pack.cmi \
   $(EXTRA_CMO:.cmo=.cmi)
 
 INSTALL_LIB_OPT=\
-  src/ocamlbuildlib.cmxa src/ocamlbuildlib$(EXT_LIB) \
-  src/ocamlbuild.cmx src/ocamlbuild$(EXT_OBJ) \
+  plugin-lib/ocamlbuildlib.cmxa plugin-lib/ocamlbuildlib$(EXT_LIB) \
+  bin/ocamlbuild.cmx bin/ocamlbuild$(EXT_OBJ) \
   src/ocamlbuild_pack.cmx \
   $(EXTRA_CMO:.cmo=.cmx) $(EXTRA_CMO:.cmo=$(EXT_OBJ))
 
@@ -116,9 +116,9 @@
 all: byte man
 endif
 
-byte: ocamlbuild.byte src/ocamlbuildlib.cma
+byte: ocamlbuild.byte plugin-lib/ocamlbuildlib.cma
                  # ocamlbuildlight.byte ocamlbuildlightlib.cma
-native: ocamlbuild.native src/ocamlbuildlib.cmxa
+native: ocamlbuild.native plugin-lib/ocamlbuildlib.cmxa
 
 allopt: all # compatibility alias
 
@@ -126,24 +126,24 @@
 
 # The executables
 
-ocamlbuild.byte: src/ocamlbuild_pack.cmo $(EXTRA_CMO) src/ocamlbuild.cmo
+ocamlbuild.byte: src/ocamlbuild_pack.cmo $(EXTRA_CMO) bin/ocamlbuild.cmo
 	$(OCAMLC) $(LINKFLAGS) -o $@ unix.cma $^
 
-ocamlbuildlight.byte: src/ocamlbuild_pack.cmo src/ocamlbuildlight.cmo
+ocamlbuildlight.byte: src/ocamlbuild_pack.cmo bin/ocamlbuildlight.cmo
 	$(OCAMLC) $(LINKFLAGS) -o $@ $^
 
-ocamlbuild.native: src/ocamlbuild_pack.cmx $(EXTRA_CMX) src/ocamlbuild.cmx
+ocamlbuild.native: src/ocamlbuild_pack.cmx $(EXTRA_CMX) bin/ocamlbuild.cmx
 	$(OCAMLOPT) $(LINKFLAGS) -o $@ unix.cmxa $^
 
 # The libraries
 
-src/ocamlbuildlib.cma: src/ocamlbuild_pack.cmo $(EXTRA_CMO)
+plugin-lib/ocamlbuildlib.cma: src/ocamlbuild_pack.cmo $(EXTRA_CMO)
 	$(OCAMLC) -a -o $@ $^
 
-src/ocamlbuildlightlib.cma: src/ocamlbuild_pack.cmo src/ocamlbuildlight.cmo
+bin/ocamlbuildlightlib.cma: src/ocamlbuild_pack.cmo bin/ocamlbuildlight.cmo
 	$(OCAMLC) -a -o $@ $^
 
-src/ocamlbuildlib.cmxa: src/ocamlbuild_pack.cmx $(EXTRA_CMX)
+plugin-lib/ocamlbuildlib.cmxa: src/ocamlbuild_pack.cmx $(EXTRA_CMX)
 	$(OCAMLOPT) -a -o $@ $^
 
 # The packs
@@ -249,16 +249,16 @@
 # - producing an OPAM .install file and not actually installing anything
 
 install-bin-byte:
-	mkdir -p $(INSTALL_BINDIR)
-	$(CP) ocamlbuild.byte $(INSTALL_BINDIR)/ocamlbuild.byte$(EXE)
+	mkdir -p "$(INSTALL_BINDIR)"
+	$(CP) ocamlbuild.byte "$(INSTALL_BINDIR)/ocamlbuild.byte$(EXE)"
 ifneq ($(OCAML_NATIVE), true)
-	$(CP) ocamlbuild.byte $(INSTALL_BINDIR)/ocamlbuild$(EXE)
+	$(CP) ocamlbuild.byte "$(INSTALL_BINDIR)/ocamlbuild$(EXE)"
 endif
 
 install-bin-native:
-	mkdir -p $(INSTALL_BINDIR)
-	$(CP) ocamlbuild.native $(INSTALL_BINDIR)/ocamlbuild$(EXE)
-	$(CP) ocamlbuild.native $(INSTALL_BINDIR)/ocamlbuild.native$(EXE)
+	mkdir -p "$(INSTALL_BINDIR)"
+	$(CP) ocamlbuild.native "$(INSTALL_BINDIR)/ocamlbuild$(EXE)"
+	$(CP) ocamlbuild.native "$(INSTALL_BINDIR)/ocamlbuild.native$(EXE)"
 
 ifeq ($(OCAML_NATIVE), true)
 install-bin: install-bin-byte install-bin-native
@@ -279,8 +279,8 @@
 	echo >> ocamlbuild.install
 
 install-lib-basics:
-	mkdir -p $(INSTALL_LIBDIR)/ocamlbuild
-	$(CP) META $(INSTALL_SIGNATURES) $(INSTALL_LIBDIR)/ocamlbuild
+	mkdir -p "$(INSTALL_LIBDIR)/ocamlbuild"
+	$(CP) META $(INSTALL_SIGNATURES) "$(INSTALL_LIBDIR)/ocamlbuild"
 
 install-lib-basics-opam:
 	echo '  "ocamlbuild.opam" {"opam"}' >> ocamlbuild.install
@@ -290,8 +290,8 @@
 	done
 
 install-lib-byte:
-	mkdir -p $(INSTALL_LIBDIR)/ocamlbuild
-	$(CP) $(INSTALL_LIB) $(INSTALL_LIBDIR)/ocamlbuild
+	mkdir -p "$(INSTALL_LIBDIR)/ocamlbuild"
+	$(CP) $(INSTALL_LIB) "$(INSTALL_LIBDIR)/ocamlbuild"
 
 install-lib-byte-opam:
 	for lib in $(INSTALL_LIB); do \
@@ -299,8 +299,8 @@
 	done
 
 install-lib-native:
-	mkdir -p $(INSTALL_LIBDIR)/ocamlbuild
-	$(CP) $(INSTALL_LIB_OPT) $(INSTALL_LIBDIR)/ocamlbuild
+	mkdir -p "$(INSTALL_LIBDIR)/ocamlbuild"
+	$(CP) $(INSTALL_LIB_OPT) "$(INSTALL_LIBDIR)/ocamlbuild"
 
 install-lib-native-opam:
 	for lib in $(INSTALL_LIB_OPT); do \
@@ -333,8 +333,8 @@
 	echo >> ocamlbuild.install
 
 install-man:
-	mkdir -p $(INSTALL_MANDIR)/man1
-	cp man/ocamlbuild.1 $(INSTALL_MANDIR)/man1/ocamlbuild.1
+	mkdir -p "$(INSTALL_MANDIR)/man1"
+	cp man/ocamlbuild.1 "$(INSTALL_MANDIR)/man1/ocamlbuild.1"
 
 install-man-opam:
 	echo 'man: [' >> ocamlbuild.install
@@ -377,14 +377,14 @@
 ifeq ($(OCAML_NATIVE), true)
 	$(MAKE) uninstall-lib-native
 endif
-	ls $(LIBDIR)/ocamlbuild # for easier debugging if rmdir fails
-	rmdir $(LIBDIR)/ocamlbuild
+	ls "$(LIBDIR)/ocamlbuild" # for easier debugging if rmdir fails
+	rmdir "$(LIBDIR)/ocamlbuild"
 
 uninstall-lib-findlib:
 	ocamlfind remove ocamlbuild
 
 uninstall-man:
-	rm $(INSTALL_MANDIR)/man1/ocamlbuild.1
+	rm "$(INSTALL_MANDIR)/man1/ocamlbuild.1"
 
 install: check-if-preinstalled
 	$(MAKE) install-bin install-lib install-man
@@ -424,8 +424,14 @@
 %.cmi: %.mli
 	$(OCAMLC) $(COMPFLAGS) -c $<
 
-%.cmx: %.ml
+src/%.cmx: src/%.ml
 	$(OCAMLOPT) -for-pack Ocamlbuild_pack $(COMPFLAGS) -c $<
+
+bin/%.cmx: bin/%.ml
+	$(OCAMLOPT) $(COMPFLAGS) -c $<
+
+plugin-lib/%.cmx: plugin-lib/%.ml
+	$(OCAMLOPT) $(COMPFLAGS) -c $<
 
 clean::
 	rm -rf tmp/
@@ -445,14 +451,6 @@
 # The dependencies
 
 depend: beforedepend
-	$(OCAMLDEP) -I src src/*.mli src/*.ml > .depend
+	$(OCAMLDEP) -I src -I plugin-lib src/*.mli src/*.ml plugin-lib/*.mli plugin-lib/*.ml bin/*.mli bin/*.ml > .depend
 
 $(EXTRA_CMI): src/ocamlbuild_pack.cmi
-$(EXTRA_CMO): src/ocamlbuild_pack.cmo src/ocamlbuild_pack.cmi
-$(EXTRA_CMX): src/ocamlbuild_pack.cmx src/ocamlbuild_pack.cmi
-
-include .depend
-
-.PHONY: all allopt beforedepend clean configure
-.PHONY: install installopt installopt_really depend
-
