=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-ocaml,
- ocaml,
- ocaml-findlib (>= 1.7.3),
- libfindlib-ocaml-dev (>= 1.7.3),
-Standards-Version: 4.6.0
+ ocaml (>= 4.13.1),
+ ocaml-findlib,
+ libfindlib-ocaml-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml/ocamlbuild/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlbuild.git
@@ -17,10 +17,8 @@
 
 Package: ocamlbuild
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${F:OCamlRun}, ${ocaml:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends}
 Provides: ${ocaml:Provides}
-Replaces: libfindlib-ocaml (<< 1.6.3-1), ocaml-nox (<< 4.03.0-1)
-Breaks: libfindlib-ocaml (<< 1.6.3-1), ocaml-nox (<< 4.03.0-1)
 Description: Build tool for building OCaml libraries and programs
  OCamlbuild is a generic build tool, which has built-in rules for building OCaml
  libraries and programs.
