=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,9 @@
 
 %:
 	dh $@ --with ocaml
-# TODO: Add a lintian check: if any package contains .cmi files then it should
-# have a Depends: ocaml-base-nox or something like that (ask the list first).
 
-# see https://pkg-ocaml-maint.alioth.debian.org/ocaml_packaging_policy.txt
-OCAMLABI = $(shell ocamlc -version)
 # to test a bytecode build on an architecture with ocamlopt, set this to "yes"
 BYTECODE = $(shell [ -x /usr/bin/ocamlopt ] || echo yes)
-OCAMLRUN = $(if $(BYTECODE),ocaml-base-$(OCAMLABI))
 OCAML_NATIVE = $(if $(BYTECODE),false,true)
 
 OCAMLBUILD_CFG = \
@@ -42,9 +37,13 @@
 	dh_auto_install -- CHECK_IF_PREINSTALLED=false
 	cd debian/ocamlbuild/usr/bin && rm -f ocamlbuild.byte ocamlbuild.native
 
-override_dh_auto_clean:
-	dh_auto_clean
-	find . -name '*.cmti' -delete
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	mkdir -p _tmp
+	cp plugin-lib/* bin/*.cm* $(wildcard bin/*.o) _tmp
+	$(MAKE) test
+	rm -rf _tmp
+endif
 
-override_dh_gencontrol:
-	dh_gencontrol -- -VF:OCamlRun="$(OCAMLRUN)"
+override_dh_ocaml:
+	dh_ocaml --runtime-map=ocamlbuild
