## ocamlbuild 0.15.0

=== Makefile ===
--- 
+++ 
@@ -30,15 +30,17 @@
 endif
 
 CP        ?= cp
-COMPFLAGS ?= -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence
-LINKFLAGS ?= -I +unix -I src
+OCB_COMPFLAGS ?= -w @14@29 -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence
+OCB_LINKFLAGS ?= -I +unix -I src
 
 PACK_CMO= $(addprefix src/,\
   const.cmo \
   loc.cmo \
   discard_printf.cmo \
   signatures.cmi \
+  exit_codes.cmo \
   my_std.cmo \
+  ocamlbuild_executor.cmo \
   my_unix.cmo \
   tags.cmo \
   display.cmo \
@@ -73,7 +75,6 @@
   ocaml_compiler.cmo \
   ocaml_tools.cmo \
   ocaml_specific.cmo \
-  exit_codes.cmo \
   plugin.cmo \
   hooks.cmo \
   main.cmo \
@@ -81,7 +82,6 @@
 
 EXTRA_CMO=$(addprefix plugin-lib/,\
   ocamlbuild_plugin.cmo \
-  ocamlbuild_executor.cmo \
   ocamlbuild_unix_plugin.cmo \
   )
 
@@ -117,7 +117,7 @@
 endif
 
 byte: ocamlbuild.byte plugin-lib/ocamlbuildlib.cma
-                 # ocamlbuildlight.byte ocamlbuildlightlib.cma
+
 native: ocamlbuild.native plugin-lib/ocamlbuildlib.cmxa
 
 allopt: all # compatibility alias
@@ -127,20 +127,14 @@
 # The executables
 
 ocamlbuild.byte: src/ocamlbuild_pack.cmo $(EXTRA_CMO) bin/ocamlbuild.cmo
-	$(OCAMLC) $(LINKFLAGS) -o $@ unix.cma $^
-
-ocamlbuildlight.byte: src/ocamlbuild_pack.cmo bin/ocamlbuildlight.cmo
-	$(OCAMLC) $(LINKFLAGS) -o $@ $^
+	$(OCAMLC) $(OCB_LINKFLAGS) -o $@ -I +unix unix.cma $^
 
 ocamlbuild.native: src/ocamlbuild_pack.cmx $(EXTRA_CMX) bin/ocamlbuild.cmx
-	$(OCAMLOPT) $(LINKFLAGS) -o $@ unix.cmxa $^
+	$(OCAMLOPT) $(OCB_LINKFLAGS) -o $@ -I +unix unix.cmxa $^
 
 # The libraries
 
 plugin-lib/ocamlbuildlib.cma: src/ocamlbuild_pack.cmo $(EXTRA_CMO)
-	$(OCAMLC) -a -o $@ $^
-
-bin/ocamlbuildlightlib.cma: src/ocamlbuild_pack.cmo bin/ocamlbuildlight.cmo
 	$(OCAMLC) -a -o $@ $^
 
 plugin-lib/ocamlbuildlib.cmxa: src/ocamlbuild_pack.cmx $(EXTRA_CMX)
@@ -213,7 +207,7 @@
 	rm -f man/ocamlbuild.1
 
 man/options_man.byte: src/ocamlbuild_pack.cmo
-	$(OCAMLC) $^ -I src man/options_man.ml -o man/options_man.byte
+	$(OCAMLC) -I +unix unix.cma $^ -I src man/options_man.ml -o man/options_man.byte
 
 clean::
 	rm -f man/options_man.cm*
@@ -225,7 +219,7 @@
 # Testing
 
 test-%: testsuite/%.ml all
-	cd testsuite && ocaml $(CURDIR)/$<
+	cd testsuite && ocaml -w @14@29 "../$<"
 
 test: test-internal test-findlibonly test-external
 
@@ -268,12 +262,12 @@
 
 install-bin-opam:
 	echo 'bin: [' >> ocamlbuild.install
-	echo '  "ocamlbuild.byte" {"ocamlbuild.byte"}' >> ocamlbuild.install
-ifeq ($(OCAML_NATIVE), true)
-	echo '  "ocamlbuild.native" {"ocamlbuild.native"}' >> ocamlbuild.install
-	echo '  "ocamlbuild.native" {"ocamlbuild"}' >> ocamlbuild.install
-else
-	echo '  "ocamlbuild.byte" {"ocamlbuild"}' >> ocamlbuild.install
+	echo '  "ocamlbuild.byte" {"ocamlbuild.byte$(EXE)"}' >> ocamlbuild.install
+ifeq ($(OCAML_NATIVE), true)
+	echo '  "ocamlbuild.native" {"ocamlbuild.native$(EXE)"}' >> ocamlbuild.install
+	echo '  "ocamlbuild.native" {"ocamlbuild$(EXE)"}' >> ocamlbuild.install
+else
+	echo '  "ocamlbuild.byte" {"ocamlbuild$(EXE)"}' >> ocamlbuild.install
 endif
 	echo ']' >> ocamlbuild.install
 	echo >> ocamlbuild.install
@@ -419,28 +413,29 @@
 # The generic rules
 
 %.cmo: %.ml
-	$(OCAMLC) $(COMPFLAGS) -c $<
+	$(OCAMLC) $(OCB_COMPFLAGS) -c $<
 
 %.cmi: %.mli
-	$(OCAMLC) $(COMPFLAGS) -c $<
+	$(OCAMLC) $(OCB_COMPFLAGS) -c $<
 
 src/%.cmx: src/%.ml
-	$(OCAMLOPT) -for-pack Ocamlbuild_pack $(COMPFLAGS) -c $<
+	$(OCAMLOPT) -for-pack Ocamlbuild_pack $(OCB_COMPFLAGS) -c $<
 
 bin/%.cmx: bin/%.ml
-	$(OCAMLOPT) $(COMPFLAGS) -c $<
+	$(OCAMLOPT) $(OCB_COMPFLAGS) -c $<
 
 plugin-lib/%.cmx: plugin-lib/%.ml
-	$(OCAMLOPT) $(COMPFLAGS) -c $<
+	$(OCAMLOPT) $(OCB_COMPFLAGS) -c $<
 
 clean::
 	rm -rf tmp/
-	rm -f src/*.cm* *.cm*
+	rm -f src/*.cm* *.cm* bin/*.cm* plugin-lib/*.cm*
+	rm -f src/*.o *.o bin/*.o plugin-lib/*.o plugin-lib/*.a
 ifdef EXT_OBJ
-	rm -f src/*$(EXT_OBJ) *$(EXT_OBJ)
+	rm -f src/*$(EXT_OBJ) bin/*$(EXT_OBJ) plugin-lib/*$(EXT_OBJ) *$(EXT_OBJ)
 endif
 ifdef EXT_LIB
-	rm -f src/*$(EXT_LIB) *$(EXT_LIB)
+	rm -f src/*$(EXT_LIB) bin/*$(EXT_LIB) plugin-lib/*$(EXT_LIB) *$(EXT_LIB)
 endif
 	rm -f test/test2/vivi.ml
 
@@ -451,6 +446,6 @@
 # The dependencies
 
 depend: beforedepend
-	$(OCAMLDEP) -I src -I plugin-lib src/*.mli src/*.ml plugin-lib/*.mli plugin-lib/*.ml bin/*.mli bin/*.ml > .depend
+	$(OCAMLDEP) -I src -I plugin-lib -I bin src/*.mli src/*.ml plugin-lib/*.mli plugin-lib/*.ml bin/*.mli bin/*.ml > .depend
 
 $(EXTRA_CMI): src/ocamlbuild_pack.cmi
