=== debian/changelog ===
ocamlbuild (0.15.0-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:18:37 +0200

ocamlbuild (0.15.0-2) unstable; urgency=medium

  * Team upload
  * Add support for a different OCaml stdlib dir

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 05:11:13 +0200

ocamlbuild (0.15.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Jul 2024 14:00:30 +0200

ocamlbuild (0.14.3-2) unstable; urgency=medium

  * Team upload
  * Disable tests that fail stupidly with OCaml 5.2.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 07:53:22 +0200
